SocketSecurityException (Java SE 15 & JDK 15)
Description: declaration: module: java.rmi, package: java.rmi.server, class: SocketSecurityException
Keywords: java.rmi.server.SocketSecurityException class

Module java.rmi
Package java.rmi.server

# Class SocketSecurityException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
java.rmi.RemoteException
java.rmi.server.ExportException
java.rmi.server.SocketSecurityException

All Implemented Interfaces:
  `Serializable`

    @Deprecated
    public class SocketSecurityException
    extends ExportException

Deprecated.
This class is obsolete. Use `ExportException` instead.
An obsolete subclass of `ExportException`.

Since:
  1.1
See Also:
  Serialized Form

- ## Field Summary

  ### Fields declared in class java.rmi.RemoteException

  `detail`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `SocketSecurityException​(String s)` | Deprecated. Constructs an `SocketSecurityException` with the specified detail message.
  `SocketSecurityException​(String s, Exception ex)` | Deprecated. Constructs an `SocketSecurityException` with the specified detail message and nested exception.

- ## Method Summary

  ### Methods declared in class java.rmi.RemoteException

  `getCause, getMessage`

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SocketSecurityException

    public SocketSecurityException​(String s)
    Deprecated.
    Constructs an `SocketSecurityException` with the specified detail message.
    Parameters:
      `s` - the detail message.
    Since:
      1.1

  - ### SocketSecurityException

    public SocketSecurityException​(String s, Exception ex)
    Deprecated.
    Constructs an `SocketSecurityException` with the specified detail message and nested exception.
    Parameters:
      `s` - the detail message.
      `ex` - the nested exception
    Since:
      1.1